use strict;
use warnings;
use WebService::Simple;
use Data::Dumper;
use utf8;

my $query  = '歌ってみた';
my $service = WebService::Simple->new(
    base_url => 'http://gdata.youtube.com/feeds/api/videos',
    response_parser => 'JSON',
);
my $res = $service->get( {
    alt => 'json',
    order_by => 'rating',
    q => $query
} );
my $json = $res->parse_response();
print Dumper $json;
